# easy_encrypt

A simple and powerful package which makes encryption simple. All you need is just one line of code to encrypt and one to decrypt.



## Get Started

Add dependency

```yaml
dependencies:
  easy_encrypt: ^0.0.1
```

Import package

```dart
import 'package:easy_encrypt/easy_encryption.dart';
```

## Purpose

We see many apps built using flutter which have some sort of database associated to it. Be it users private information or in-app chat functionality, we need to protect the data by encrypting it either from attackers or developers of your app who can get access to your database and may exploit your user data. This package serves the purpose of privacy for users and peace of mind for app owners.

## Usage

You can use **encrypt** function to encrypt data in plain text and **decrypt** function to decrypt the encrypted data

```dart
import 'package:easy_encrypt/easy_encryption.dart';

EasyEncrypt easyEncrypt = new EasyEncrypt();

Future<String> encryptMyMessage(String message) async {
   
    String encryptedMessage = await easyEncrypt.encryptData(data: message);

    return encryptedMessage;
}

Future<String> decryptMyMessage(String encryptedMessage) async {
    
    String originalMessage = await easyEncrypt.decryptData(data: encryptedMessage);
    
    return originalMessage;
}

```

## Feedback

If you have any feedback, please reach out to us at yash.renwa@gmail.com


